#
# --------------------------------------------------------------------
#
# Introduction
#
# This file is the defaults for the calendar deployment properties.
# This file (or its localised form) provide properties for the deployment
#and update package.
#
# All properties defined in this file are used at deploy time only.
#
# Properties for all modules are shown below - even if they are not
# being deployed. The globals section defines which modules will be
# deployed as well as some other global properties.
#
# --------------------------------------------------------------------
#             post-deployer properties
#org.bedework.postdeploy.in=./bedework/dist/deployable
#org.bedework.postdeploy.out=${java.io.tmpdir}/bedework/dist/deployableModified
org.bedework.postdeploy.deploy=${org.bedework.global.baseDir}/wildfly-10.1.0.Final/standalone/deployments

# For the quickstart this points at a local directory which gets populated
# with required resources.
# This should be overridden by the run time script to point to a
# location into which the resources have been downloaded.
org.bedework.postdeploy.resource.base=./bedework/deployment

# This causes the jboss-service.xml file to be deleted
org.bedework.for.wildfly=true

# --------------------------------------------------------------------
#
# Name the standalone wars we process
org.bedework.war.names=bw-calendar-xsl,pubcalwskt,ucalwskt

# --------------------------------------------------------------------
#
# Name the ears we process
org.bedework.ear.names=bw-cal,bw-carddav,bw-event-registration,bw-notifier,\
  bw-self-registration,bw-synch,bw-timezone-server,bw-xml
#
# For each ear list the template wars - these are the wars produced by
# the build process and found in the ear before processing.
org.bedework.ear.template.wars.bw-cal=bw-calendar-client-cal,\
  bw-calendar-client-caladmin,bw-calendar-client-ucal,\
  bw-calendar-client-submit,bw-calendar-client-feeder,\
  bw-calendar-engine-notifyws,\
  bw-calendar-engine-pubcaldav,bw-calendar-engine-pubcalws,\
  bw-calendar-engine-synchws,bw-calendar-engine-ucaldav,\
  bw-calendar-engine-ucalws

org.bedework.ear.template.wars.bw-carddav=pubcarddav,ucarddav,ucarddavweb

org.bedework.ear.template.wars.bw-event-registration=event-registration

org.bedework.ear.template.wars.bw-self-registration=self-registration

org.bedework.ear.template.wars.bw-synch=bw-synch

org.bedework.ear.template.wars.bw-timezone-server=bw-timezone-server

org.bedework.ear.template.wars.bw-xml=bw-xml
#
# --------------------------------------------------------------------
#
# Global options
#
# --------------------------------------------------------------------
#

# ------------------------------------------------------------------------
# Application server defs
# ------------------------------------------------------------------------

#  where the application server lives
# This you might change to point to another copy of jboss

org.bedework.appserver.dir=${org.bedework.global.baseDir}/wildfly-10.1.0.Final

# ------------------------------------------------------------------------
# This block is dependent on the above and you should probably not change these
# This block ends with the comment - end application server settings

# name of jboss configuration we are using
org.bedework.jboss.config=standalone

# location of jboss configuration we are using
org.bedework.jboss.config.dir=${org.bedework.appserver.dir}/${org.bedework.jboss.config}

# where we deploy
org.bedework.appserver.deploy.dir=${org.bedework.jboss.config.dir}/deployments

# confusingly close name - location of jboss configuration directory
org.bedework.jboss.conf.dir=${org.bedework.jboss.config.dir}/configuration

#  where most library files used by all applications go
appserver.lib.dir=${org.bedework.jboss.config.dir}/lib

# where data files go
org.bedework.jboss.data.dir=${org.bedework.jboss.config.dir}/data
# where bedework data files go
org.bedework.data.dir=${org.bedework.jboss.data.dir}/bedework

# the toplevel directory for the server static resources, relative to the application server home
org.bedework.server.resource.root.dir=${org.bedework.appserver.dir}/bedework-content

# ------------------------------------------------------------------------
# ActiveMQ defs
# ------------------------------------------------------------------------

#
org.bedework.global.activemq.jndi-name=java:/jms/BedeworkConnectionFactory

# ------------------------------------------------------------------------
# ElasticSearch defs
# ------------------------------------------------------------------------

org.bedework.global.elasticsearch.conf.dir=${org.bedework.jboss.conf.dir}/elasticsearch

org.bedework.global.elasticsearch.dir=${org.bedework.data.dir}/../elasticsearch

# ------------------------------------------------------------------------
# ------------------------------------------------------------------------
# ------------------------------------------------------------------------
# end application server settings
# ------------------------------------------------------------------------
# ------------------------------------------------------------------------
# ------------------------------------------------------------------------


# DB Datasource for jboss services
# There doesn't appear to be the extra level of indirection that the jboss-web.xml
# files allow so this will appear directly in the hibernate properties file for
# jboss services.

# Note - apparently the java Property classes preserve trailing blanks
# Hibernate will include that trailing blank as part of the name leading to
# much grief.
org.bedework.global.jboss.db.datasource.jndiname=/CalendarDS
org.bedework.global.jboss.carddb.datasource.jndiname=/CardDS
org.bedework.global.jboss.synch.datasource.jndiname=/SynchDS
org.bedework.global.jboss.event-registration.datasource.jndiname=/EventregDS

# ------------------------------------------------------------------------
#                  security domain
# This is usually the same for all applications and matches the domain
# name in the wildfly configuration.
org.bedework.global.security.domain=bedework

# ------------------------------------------------------------------------
#                  transport guarantee
# NONE for http
# CONFIDENTIAL for https
# If you run behind apache the jboss apps are probably all NONE
# Otherwise you need to specify CONFIDENTIAL for specific apps.
org.bedework.global.transport.guarantee=NONE

# ------------------------------------------------------------------------
# Name components to be copied. The property has the form
#  org.bedework.app.<ear-name>.copy.<target-name>=<source-name>
# where the target-name and source-name are the names without version
# of the web apps.
#
# For example to duplicate the "cal" webapp as "soedept" to the ear
# "bw-cal" add the property
#  org.bedework.app.bw-cal.copy.bw-calendar-client-soedept=bw-calendar-client-cal

org.bedework.app.bw-cal.copy.bw-calendar-client-soedept=bw-calendar-client-cal
#org.bedework.app.bw-cal.copy.ucalext=bw-calendar-client-ucal
        
#org.bedework.app.bw-cal.ucalext.security.domain=bwselfreg
#org.bedework.app.bw-cal.ucalext.realm.name=bwselfreg
#org.bedework.app.bw-cal.ucalext.context=/ucalext

# ------------------------------------------------------------------------
# Example creating a context for use by externally authenticated
# users.
#org.bedework.app.bw-cal.copy.eventsubmitext=eventsubmit
#org.bedework.app.bw-cal.eventsubmitext.security.domain=bwselfreg
#org.bedework.app.bw-cal.eventsubmitext.realm.name=bwselfreg
#org.bedework.app.bw-cal.eventsubmitext.context=/eventsubmitext

# ------------------------------------------------------------------------
# Another example creating a context for use by externally authenticated
# users. The internal context uses cas for authentication.
# cas values are defined here and refeenced in the example
# files.
#
# To use this take a copy of the example cas directory in
# examples/postdeploy
#
#org.bedework.app.bw-event-registration.copy.eventregext=eventreg

#org.bedework.app.bw-event-registration.eventregext.security.domain=bwselfreg
#org.bedework.app.bw-event-registration.eventregext.realm.name=bwselfreg
#org.bedework.app.bw-event-registration.eventregext.context=/eventregext

#org.bedework.cas.serverLoginUrl=https://cas.example.edu/cas/login
#org.bedework.cas.serverUrlPrefix=https://cas.example.edu/cas
#org.bedework.cas.serverName=https://appserver.example.edu/

#org.bedework.app.bw-event-registration.eventreg.filter=/<your-path>/cas/filters.xml
#org.bedework.app.bw-event-registration.eventreg.filter-mapping=/<your-path>/cas/filterMappings.xml
#org.bedework.app.bw-event-registration.eventreg.listener=/<your-path>/cas/listeners.xml
#org.bedework.app.bw-event-registration.eventreg.securityConstraints=/<your-path>/cas/securityConstraints.xml

# ------------------------------------------------------------------------
#                 Application properties
# Each property name is prefixed with "org.bedework.app."
# Following is the ear name, e.g. "bw-cal"
# Following is the app name e.g. "cal"
# Following is the property name e.g. "virtual-hosts"
#
# When a ear is processed - all ear specific properties are converted
# into a set of properties with the prefix "app". For example, when
# processing the ear "bw-cal" a property
#  org.bedework.app.bw-cal.ear.displayname=Main Calendar Engine
# would be converted to the property
#  app.ear.displayname=Main Calendar Engine
# Also all the app specific properties for that ear woul dbe converted
# e.g. from
#  org.bedework.app.bw-cal.cal.virtual-hosts=host1.example.com,host2.example.com
# to
#  app.cal.virtual-hosts=host1.example.com,host2.example.com
# These converted sets of properties are pushed on to a stack of sets
# of properties while processing that ear.
#
# Similarly, when processing a war, the filtered properties are
# filtered again to produce a war specific set. For example when
# processing the war "cal" the conversion would be
# e.g. from
#  app.cal.virtual-hosts=host1.example.com,host2.example.com
# to
#  app.virtual-hosts=host1.example.com,host2.example.com
#

# ------------------------------------------------------------------------
#       wsdls; ear bw-xml
# These go together - first name the wsdl directories and files...
org.bedework.app.bw-xml.bw-xml.wsdl.wsdls/synchws=wssvc.wsdl
org.bedework.app.bw-xml.bw-xml.wsdl.wsdls/calws-soap=wssvc.wsdl
org.bedework.app.bw-xml.bw-xml.wsdl.wsdls/pubcalws-soap=wssvc.wsdl

# then provide the global properties
org.bedework.global.synch.service.location=http://localhost:8080/synchws/
org.bedework.global.calws.service.location=http://localhost:8080/ucaldav/calws-soap/
org.bedework.global.pubcalws.service.location=http://localhost:8080/pubcaldav/calws-soap/

# ------------------------------------------------------------------------
#       calendar engine and clients; ear bw-cal
# To set the virtual hosts for all web apps
#org.bedework.app.bw-cal.virtual-hosts=host1.example.com,host2.example.com
org.bedework.app.bw-cal.ear.dependencies=bw-xml
org.bedework.app.bw-cal.dependencies=javax.jms.api export,\
  com.fasterxml.jackson.core.jackson-annotations export,\
  com.fasterxml.jackson.core.jackson-core export,\
  com.fasterxml.jackson.core.jackson-databind export,\
  org.apache.httpcomponents export,\
  org.apache.commons.beanutils export,\
  org.apache.commons.codec export,\
  org.apache.commons.collections export,\
  org.apache.commons.lang export, \
  org.dom4j export,\
  org.hibernate:5.2.5.Final export,\
  org.antlr export
org.bedework.app.bw-cal.ear.exclusions=org.javassist

# ------------------------------------------------------------------------
#       public event admin client; ear bw-cal, name bw-calendar-client-caladmin
#
# possible different security domain
#org.bedework.app.bw-cal.caladmin.security-domain=caladmin-domain
#org.bedework.app.bw-cal.caladmin.transport.guarantee=CONFIDENTIAL
org.bedework.app.bw-cal.bw-calendar-client-caladmin.copy.resource.caladminrsrc=webadmin/webapp/resources
org.bedework.app.bw-cal.bw-calendar-client-caladmin.session-timeout=30

# ------------------------------------------------------------------------
#                 event submissions client; ear bw-cal, name bw-calendar-client-submit
#
org.bedework.app.bw-cal.bw-calendar-client-submit.copy.resource.eventsubmitrsrc=websubmit/webapp/resources/demoskins

# ------------------------------------------------------------------------
#                 public calendar client; ear bw-cal, name bw-calendar-client-cal
#
org.bedework.app.bw-cal.bw-calendar-client-cal.config.name=Events
org.bedework.app.bw-cal.bw-calendar-client-cal.copy.resource.calrsrc.MainCampus=webpublic/webapp/resources/demoskins/MainCampus

# ------------------------------------------------------------------------
#                 feeder; ear bw-cal, name bw-calendar-client-feeder
#
org.bedework.app.bw-cal.bw-calendar-client-feeder.copy.resource.calfeedrsrc.MainCampus=feeder/webapp/resources/demoskins/MainCampus

# ------------------------------------------------------------------------
#                 user calendar client; ear bw-cal, name bw-calendar-client-ucal
#
#org.bedework.app.bw-cal.bw-calendar-client-ucal.virtual-hosts=calendars.example.com
#org.bedework.app.bw-cal.bw-calendar-client-ucal.transport.guarantee=CONFIDENTIAL
org.bedework.app.bw-cal.bw-calendar-client-ucal.config.name=UserCal
org.bedework.app.bw-cal.bw-calendar-client-ucal.copy.resource.ucalrsrc=webuser/webapp/resources/demoskins

#
# --------------------------------------------------------------------
#
# Demo departmental public Web Client
#

org.bedework.app.bw-cal.bw-calendar-client-soedept.config.name=SoEDept
org.bedework.app.bw-cal.bw-calendar-client-soedept.context=/soedept
org.bedework.app.bw-cal.bw-calendar-client-soedept.copy.resource.calrsrc.SoEDepartmental=webpublic/webapp/resources/demoskins/SoEDepartmental

# ------------------------------------------------------------------------
#                 authenticated web sockets; no ear, name pubcalwskt
#
org.bedework.app.bw-calendar-xsl.context=/approots

# ------------------------------------------------------------------------
#                 authenticated web sockets; no ear, name ucalwskt
#
#org.bedework.app.ucalwskt.virtual-hosts=calendars.example.com
#org.bedework.app.ucalwskt.transport.guarantee=CONFIDENTIAL
org.bedework.app.ucalwskt.context=/ucalwskt
org.bedework.app.ucalwskt.ear.dependencies=bw-xml
org.bedework.app.ucalwskt.dependencies=javax.jms.api export,\
  com.fasterxml.jackson.core.jackson-annotations export,\
  com.fasterxml.jackson.core.jackson-core export,\
  com.fasterxml.jackson.core.jackson-databind export,\
  javax.websocket.api, \
  javax.enterprise.concurrent.api, \
  org.apache.httpcomponents export,\
  org.apache.commons.beanutils export,\
  org.apache.commons.codec export,\
  org.apache.commons.collections export,\
  org.apache.commons.lang export, \
  org.dom4j export,\
  org.hibernate:5.2.5.Final export,\
  org.antlr export
org.bedework.app.ucalwskt.ear.exclusions=org.javassist

# ------------------------------------------------------------------------
#                 authenticated web sockets; no ear, name pubcalwskt
#
#org.bedework.app.pubcalwskt.virtual-hosts=calendars.example.com
#org.bedework.app.pubcalwskt.transport.guarantee=NONE
org.bedework.app.pubcalwskt.context=/pubcalwskt
org.bedework.app.pubcalwskt.ear.dependencies=bw-xml
org.bedework.app.pubcalwskt.dependencies=javax.jms.api export,\
  com.fasterxml.jackson.core.jackson-annotations export,\
  com.fasterxml.jackson.core.jackson-core export,\
  com.fasterxml.jackson.core.jackson-databind export,\
  javax.websocket.api, \
  javax.enterprise.concurrent.api, \
  org.apache.httpcomponents export,\
  org.apache.commons.beanutils export,\
  org.apache.commons.codec export,\
  org.apache.commons.collections export,\
  org.apache.commons.lang export, \
  org.dom4j export,\
  org.hibernate:5.2.5.Final export,\
  org.antlr export
org.bedework.app.pubcalwskt.ear.exclusions=org.javassist

#
# --------------------------------------------------------------------
#
# carddav
#
org.bedework.app.bw-carddav.dependencies=javax.jms.api export,\
  org.dom4j export,\
  org.hibernate:5.2.5.Final export,\
  org.antlr export
org.bedework.app.bw-carddav.ear.exclusions=org.javassist

#
# --------------------------------------------------------------------
#
# Event registration
#
org.bedework.app.bw-event-registration.ear.dependencies=bw-xml
org.bedework.app.bw-event-registration.dependencies=javax.jms.api export,\
  com.fasterxml.jackson.core.jackson-annotations export,\
  com.fasterxml.jackson.core.jackson-core export,\
  com.fasterxml.jackson.core.jackson-databind export,\
  org.dom4j export,\
  org.apache.httpcomponents export,\
  org.hibernate:5.2.5.Final export,\
  org.apache.commons.codec export,\
  org.apache.commons.lang export, \
  org.antlr export
org.bedework.app.bw-event-registration.ear.exclusions=org.javassist

#
# --------------------------------------------------------------------
#
# Notifier
#
org.bedework.app.bw-notifier.dependencies=javax.jms.api export,\
  org.dom4j export,\
  org.hibernate:5.2.5.Final export,\
  org.antlr export
org.bedework.app.bw-notifier.ear.exclusions=org.javassist

#
# --------------------------------------------------------------------
#
# self-registration
#
org.bedework.app.bw-self-registration.dependencies=javax.jms.api export,\
  com.fasterxml.jackson.core.jackson-annotations export,\
  com.fasterxml.jackson.core.jackson-core export,\
  com.fasterxml.jackson.core.jackson-databind export,\
  javax.mail.api export,\
  org.dom4j export,\
  org.hibernate:5.2.5.Final export,\
  org.apache.httpcomponents export,\
  org.apache.commons.codec export,\
  org.apache.commons.lang export, \
  org.antlr export
org.bedework.app.bw-self-registration.ear.exclusions=org.javassist

#
# --------------------------------------------------------------------
#
# Synch engine
#
org.bedework.app.bw-synch.ear.dependencies=bw-xml
org.bedework.app.bw-synch.dependencies=javax.jms.api export,\
  com.fasterxml.jackson.core.jackson-annotations export,\
  com.fasterxml.jackson.core.jackson-core export,\
  com.fasterxml.jackson.core.jackson-databind export,\
  org.dom4j export,\
  org.hibernate:5.2.5.Final export,\
  org.antlr export,\
  org.apache.httpcomponents export,\
  org.apache.commons.codec export,\
  org.apache.commons.collections export,\
  org.apache.commons.lang export
org.bedework.app.bw-synch.ear.exclusions=org.javassist

#
# --------------------------------------------------------------------
#
# Tz server
#
org.bedework.app.bw-timezone-server.ear.dependencies=bw-xml
org.bedework.app.bw-timezone-server.dependencies=\
  com.fasterxml.jackson.core.jackson-annotations export,\
  com.fasterxml.jackson.core.jackson-core export,\
  com.fasterxml.jackson.core.jackson-databind export,\
  org.apache.httpcomponents export,\
  org.apache.commons.lang export

#org.bedework.app.bw-timezone-server.tzsvr
